Merge "Remove port from NEXUS_URL for netrc"
[releng/global-jjb.git] / .jjb-test / expected-xml / gerrit-ciman-jjb-merge
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>false</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>7</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue>refs/heads/master</defaultValue>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>LFTOOLS_VERSION</name>
69           <description>Version of lftools to install. Can be a specific version like
70 '0.6.0' or a PEP-440 definition.
71 https://www.python.org/dev/peps/pep-0440/
72 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
73 </description>
74           <defaultValue>&lt;1.0.0</defaultValue>
75         </hudson.model.StringParameterDefinition>
76         <hudson.model.StringParameterDefinition>
77           <name>JJB_VERSION</name>
78           <description>Jenkins Job Builder version to download and install.</description>
79           <defaultValue>1.6.2</defaultValue>
80         </hudson.model.StringParameterDefinition>
81       </parameterDefinitions>
82     </hudson.model.ParametersDefinitionProperty>
83   </properties>
84   <scm class="hudson.plugins.git.GitSCM">
85     <configVersion>2</configVersion>
86     <userRemoteConfigs>
87       <hudson.plugins.git.UserRemoteConfig>
88         <name>origin</name>
89         <refspec/>
90         <url>$GIT_URL/$GERRIT_PROJECT</url>
91         <credentialsId>test-credential</credentialsId>
92       </hudson.plugins.git.UserRemoteConfig>
93     </userRemoteConfigs>
94     <branches>
95       <hudson.plugins.git.BranchSpec>
96         <name>refs/heads/master</name>
97       </hudson.plugins.git.BranchSpec>
98     </branches>
99     <excludedUsers/>
100     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
101     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
102     <authorOrCommitter>false</authorOrCommitter>
103     <wipeOutWorkspace>true</wipeOutWorkspace>
104     <pruneBranches>false</pruneBranches>
105     <remotePoll>false</remotePoll>
106     <gitTool>Default</gitTool>
107     <submoduleCfg class="list"/>
108     <relativeTargetDir/>
109     <reference/>
110     <gitConfigName/>
111     <gitConfigEmail/>
112     <skipTag>true</skipTag>
113     <scmName/>
114     <useShallowClone>false</useShallowClone>
115     <ignoreNotifyCommit>false</ignoreNotifyCommit>
116     <extensions>
117       <hudson.plugins.git.extensions.impl.SubmoduleOption>
118         <disableSubmodules>false</disableSubmodules>
119         <recursiveSubmodules>true</recursiveSubmodules>
120         <trackingSubmodules>false</trackingSubmodules>
121         <reference/>
122         <timeout>10</timeout>
123       </hudson.plugins.git.extensions.impl.SubmoduleOption>
124       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
125     </extensions>
126   </scm>
127   <triggers class="vector">
128     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
129       <spec/>
130       <gerritProjects>
131         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
132           <compareType>ANT</compareType>
133           <pattern>releng/ciman</pattern>
134           <branches>
135             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
136               <compareType>ANT</compareType>
137               <pattern>**/master</pattern>
138             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
139           </branches>
140           <filePaths>
141             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
142               <compareType>ANT</compareType>
143               <pattern>**/*.sh</pattern>
144             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
145             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
146               <compareType>ANT</compareType>
147               <pattern>**/*.yaml</pattern>
148             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
149             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
150               <compareType>ANT</compareType>
151               <pattern>**/global-jjb</pattern>
152             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
153           </filePaths>
154           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
155         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
156       </gerritProjects>
157       <skipVote>
158         <onSuccessful>false</onSuccessful>
159         <onFailed>false</onFailed>
160         <onUnstable>false</onUnstable>
161         <onNotBuilt>false</onNotBuilt>
162       </skipVote>
163       <silentMode>false</silentMode>
164       <silentStartMode>false</silentStartMode>
165       <escapeQuotes>true</escapeQuotes>
166       <noNameAndEmailParameters>false</noNameAndEmailParameters>
167       <readableMessage>false</readableMessage>
168       <dependencyJobsNames/>
169       <notificationLevel/>
170       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
171       <triggerConfigURL/>
172       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
173       <triggerOnEvents>
174         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginChangeMergedEvent/>
175         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
176           <commentAddedCommentContains>remerge$</commentAddedCommentContains>
177         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
178       </triggerOnEvents>
179       <buildStartMessage/>
180       <buildFailureMessage/>
181       <buildSuccessfulMessage/>
182       <buildUnstableMessage/>
183       <buildNotBuiltMessage/>
184       <buildUnsuccessfulFilepath/>
185       <customUrl/>
186       <serverName>test-server</serverName>
187     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
188   </triggers>
189   <builders>
190     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
191       <managedFiles>
192         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
193           <fileId>jjbini</fileId>
194           <targetLocation>$HOME/.config/jenkins_jobs/jenkins_jobs.ini</targetLocation>
195           <variable/>
196         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
197       </managedFiles>
198     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
199     <hudson.tasks.Shell>
200       <command>#!/bin/bash
201 # SPDX-License-Identifier: EPL-1.0
202 ##############################################################################
203 # Copyright (c) 2017 The Linux Foundation and others.
204 #
205 # All rights reserved. This program and the accompanying materials
206 # are made available under the terms of the Eclipse Public License v1.0
207 # which accompanies this distribution, and is available at
208 # http://www.eclipse.org/legal/epl-v10.html
209 ##############################################################################
210 echo &quot;---&gt; jjb-install.sh&quot;
211
212 # Ensure we fail the job if any steps fail.
213 # DO NOT set -u as virtualenv's activate script has unbound variables
214 set -e -o pipefail
215
216 virtualenv &quot;/tmp/v/jjb&quot;
217 # shellcheck source=/tmp/v/jjb/bin/activate disable=SC1091
218 source &quot;/tmp/v/jjb/bin/activate&quot;
219 pip install --quiet --upgrade pip
220 pip install --quiet --upgrade pipdeptree
221 pip install --quiet --upgrade &quot;jenkins-job-builder==$JJB_VERSION&quot;
222
223 echo &quot;----&gt; Pip Dependency Tree&quot;
224 pipdeptree
225
226 #!/bin/bash
227 # SPDX-License-Identifier: EPL-1.0
228 ##############################################################################
229 # Copyright (c) 2017 The Linux Foundation and others.
230 #
231 # All rights reserved. This program and the accompanying materials
232 # are made available under the terms of the Eclipse Public License v1.0
233 # which accompanies this distribution, and is available at
234 # http://www.eclipse.org/legal/epl-v10.html
235 ##############################################################################
236 echo &quot;---&gt; jjb-merge-job.sh&quot;
237
238 # Ensure we fail the job if any steps fail.
239 set -eu -o pipefail
240
241 jenkins-jobs update --recursive --delete-old --workers 4 jjb/
242 </command>
243     </hudson.tasks.Shell>
244   </builders>
245   <publishers>
246     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
247       <buildSteps>
248         <hudson.tasks.Shell>
249           <command>#!/bin/bash
250 # SPDX-License-Identifier: EPL-1.0
251 ##############################################################################
252 # Copyright (c) 2017 The Linux Foundation and others.
253 #
254 # All rights reserved. This program and the accompanying materials
255 # are made available under the terms of the Eclipse Public License v1.0
256 # which accompanies this distribution, and is available at
257 # http://www.eclipse.org/legal/epl-v10.html
258 ##############################################################################
259 echo &quot;---&gt; sysstat.sh&quot;
260 set +e  # DON'T fail build if script fails.
261
262 OS=$(facter operatingsystem)
263 case &quot;$OS&quot; in
264     Ubuntu)
265         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
266
267         # Dont run the script when systat is not enabled by default
268         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
269             exit 0
270         fi
271     ;;
272     CentOS|RedHat)
273         SYSSTAT_PATH=&quot;/var/log/sa&quot;
274     ;;
275     *)
276         # nothing to do
277         exit 0
278     ;;
279 esac
280
281 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
282 mkdir -p &quot;$SAR_DIR&quot;
283 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
284 # convert sar data to ascii format
285 while IFS=&quot;&quot; read -r s
286 do
287     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
288 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
289
290 # DON'T fail build if script fails.
291 exit 0
292 </command>
293         </hudson.tasks.Shell>
294         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
295           <managedFiles>
296             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
297               <fileId>jenkins-log-archives-settings</fileId>
298               <targetLocation/>
299               <variable>SETTINGS_FILE</variable>
300             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
301           </managedFiles>
302         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
303         <EnvInjectBuilder>
304           <info>
305             <propertiesContent>SERVER_ID=logs</propertiesContent>
306           </info>
307         </EnvInjectBuilder>
308         <hudson.tasks.Shell>
309           <command>#!/bin/bash
310 # SPDX-License-Identifier: EPL-1.0
311 ##############################################################################
312 # Copyright (c) 2017 The Linux Foundation and others.
313 #
314 # All rights reserved. This program and the accompanying materials
315 # are made available under the terms of the Eclipse Public License v1.0
316 # which accompanies this distribution, and is available at
317 # http://www.eclipse.org/legal/epl-v10.html
318 ##############################################################################
319 echo &quot;---&gt; create-netrc.sh&quot;
320
321 # Ensure we fail the job if any steps fail.
322 set -eu -o pipefail
323
324 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
325 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
326     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
327     -v x:username -o &quot;:&quot; -v x:password \
328     &quot;$SETTINGS_FILE&quot;)
329
330 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
331 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
332 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
333
334 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
335 </command>
336         </hudson.tasks.Shell>
337         <hudson.tasks.Shell>
338           <command>#!/bin/bash
339 # SPDX-License-Identifier: EPL-1.0
340 ##############################################################################
341 # Copyright (c) 2017 The Linux Foundation and others.
342 #
343 # All rights reserved. This program and the accompanying materials
344 # are made available under the terms of the Eclipse Public License v1.0
345 # which accompanies this distribution, and is available at
346 # http://www.eclipse.org/legal/epl-v10.html
347 ##############################################################################
348 echo &quot;---&gt; lftools-install.sh&quot;
349
350 # Script to install lftools via a version passed in via lf-infra-parameters
351 #
352 # Required parameters:
353 #
354 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
355 #                      set to a strict version number like '1.2.3' or using
356 #                      PEP-440 definitions.
357 #
358 #                      Examples:
359 #                          &lt;1.0.0
360 #                          &gt;=1.0.0,&lt;2.0.0
361 #
362 # By default a released version of lftools should always be used.
363 # The purpose of the 2 variables below is so that lftools devs can test
364 # unreleased versions of lftools. There are 2 methods to install a dev version
365 # of lftools:
366 #
367 #     1) gerrit patch: Used to test a patch that has not yet been merged.
368 #                      To do this set something like this:
369 #                          LFTOOLS_MODE=gerrit
370 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
371 #
372 #     2) git branch: Used to install an lftools version from a specific branch.
373 #                    To use this set the variables as follows:
374 #                          LFTOOLS_MODE=git
375 #                          LFTOOLS_REFSPEC=master
376 #
377 #     3) release : The intended use case and default setting.
378 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
379
380 LFTOOLS_MODE=release  # release | git | gerrit
381 LFTOOLS_REFSPEC=master
382
383 # Ensure we fail the job if any steps fail.
384 # DO NOT set -u as virtualenv's activate script has unbound variables
385 set -e -o pipefail
386
387 virtualenv --quiet &quot;/tmp/v/lftools&quot;
388 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
389 source &quot;/tmp/v/lftools/bin/activate&quot;
390 pip install --quiet --upgrade pip
391
392 case $LFTOOLS_MODE in
393     gerrit)
394         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
395         pushd /tmp/lftools
396         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
397         git checkout FETCH_HEAD
398         pip install --quiet --upgrade -r requirements.txt
399         pip install --quiet --upgrade -e .
400         popd
401         ;;
402
403     git)
404         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
405         ;;
406
407     release)
408         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
409             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
410         fi
411
412         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
413         ;;
414 esac
415
416 lftools --version
417
418 # pipdeptree prints out a lot of information because lftools pulls in many
419 # dependencies. Let's only print it if we want to debug.
420 # echo &quot;----&gt; Pip Dependency Tree&quot;
421 # pip install --quiet --upgrade pipdeptree
422 # pipdeptree
423
424 #!/bin/bash
425 # SPDX-License-Identifier: EPL-1.0
426 ##############################################################################
427 # Copyright (c) 2017 The Linux Foundation and others.
428 #
429 # All rights reserved. This program and the accompanying materials
430 # are made available under the terms of the Eclipse Public License v1.0
431 # which accompanies this distribution, and is available at
432 # http://www.eclipse.org/legal/epl-v10.html
433 ##############################################################################
434 echo &quot;---&gt; logs-deploy.sh&quot;
435
436 # Ensure we fail the job if any steps fail.
437 set -eu -o pipefail
438
439 set -x  # Trace commands for this script to make debugging easier.
440
441 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
442 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
443
444 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
445 then
446     set +x # Disable trace since we no longer need it
447
448     echo &quot;WARNING: Logging server not set&quot;
449 else
450     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
451     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
452     BUILD_URL=&quot;${BUILD_URL}&quot;
453
454     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
455     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
456
457     set +x  # Disable trace since we no longer need it.
458
459     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
460 fi
461 </command>
462         </hudson.tasks.Shell>
463         <hudson.tasks.Shell>
464           <command>#!/bin/bash
465 # SPDX-License-Identifier: EPL-1.0
466 ##############################################################################
467 # Copyright (c) 2017 The Linux Foundation and others.
468 #
469 # All rights reserved. This program and the accompanying materials
470 # are made available under the terms of the Eclipse Public License v1.0
471 # which accompanies this distribution, and is available at
472 # http://www.eclipse.org/legal/epl-v10.html
473 ##############################################################################
474
475 # Clear log credential files
476 rm &quot;$SETTINGS_FILE&quot;
477 rm ~/.netrc
478 </command>
479         </hudson.tasks.Shell>
480         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
481           <regexp>^Build logs: .*</regexp>
482         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
483       </buildSteps>
484       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
485       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
486       <markBuildUnstable>false</markBuildUnstable>
487     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
488     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
489       <patterns>
490         <hudson.plugins.ws__cleanup.Pattern>
491           <pattern>**/*.jenkins-trigger</pattern>
492           <type>EXCLUDE</type>
493         </hudson.plugins.ws__cleanup.Pattern>
494       </patterns>
495       <deleteDirs>false</deleteDirs>
496       <cleanupMatrixParent>false</cleanupMatrixParent>
497       <externalDelete/>
498       <cleanWhenSuccess>true</cleanWhenSuccess>
499       <cleanWhenUnstable>true</cleanWhenUnstable>
500       <cleanWhenFailure>true</cleanWhenFailure>
501       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
502       <cleanWhenAborted>true</cleanWhenAborted>
503       <notFailBuild>true</notFailBuild>
504     </hudson.plugins.ws__cleanup.WsCleanup>
505   </publishers>
506   <buildWrappers>
507     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
508     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
509       <timeoutMinutes>10</timeoutMinutes>
510       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
511       <failBuild>true</failBuild>
512       <writingDescription>false</writingDescription>
513       <timeoutPercentage>0</timeoutPercentage>
514       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
515       <timeoutType>absolute</timeoutType>
516     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
517     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
518     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
519       <user>test-credential</user>
520     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
521     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
522   </buildWrappers>
523 </project>